// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 54;
	objects = {

/* Begin PBXBuildFile section */
		043D62372DCB0E7A005D12EE /* KeyboardSharedDataManager.swift in Sources */ = {isa = PBXBuildFile; fileRef = 043D62362DCB0E7A005D12EE /* KeyboardSharedDataManager.swift */; };
		043D62382DCB0F80005D12EE /* KeyboardSharedDataManager.swift in Sources */ = {isa = PBXBuildFile; fileRef = 043D62362DCB0E7A005D12EE /* KeyboardSharedDataManager.swift */; };
		045828732DB897D400C1792D /* KeyboardViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 045828722DB897D400C1792D /* KeyboardViewController.swift */; };
		045828772DB897D400C1792D /* AiKeyboard.appex in Embed Foundation Extensions */ = {isa = PBXBuildFile; fileRef = 045828702DB897D400C1792D /* AiKeyboard.appex */; settings = {ATTRIBUTES = (RemoveHeadersOnCopy, ); }; };
		045828C92DB89ABE00C1792D /* Media.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 045828C82DB89ABE00C1792D /* Media.xcassets */; };
		045828CC2DB8C62100C1792D /* UIColor+Extension.swift in Sources */ = {isa = PBXBuildFile; fileRef = 045828CB2DB8C62100C1792D /* UIColor+Extension.swift */; };
		045829AE2DB8DD2200C1792D /* KeyboardHelpView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 045829AD2DB8DD2200C1792D /* KeyboardHelpView.swift */; };
		045829FE2DB8E6D300C1792D /* KeyboardCharacterCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 045829FD2DB8E6D300C1792D /* KeyboardCharacterCell.swift */; };
		04582A012DB8EBC700C1792D /* KeyboardConst.swift in Sources */ = {isa = PBXBuildFile; fileRef = 04582A002DB8EBC700C1792D /* KeyboardConst.swift */; };
		04582A032DB8F24100C1792D /* UIButton+Extension.swift in Sources */ = {isa = PBXBuildFile; fileRef = 04582A022DB8F24100C1792D /* UIButton+Extension.swift */; };
		04582A052DB8F26200C1792D /* UIView+Extension.swift in Sources */ = {isa = PBXBuildFile; fileRef = 04582A042DB8F26200C1792D /* UIView+Extension.swift */; };
		04582A072DB8F9A300C1792D /* KeyboardFunctionPopView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 04582A062DB8F9A300C1792D /* KeyboardFunctionPopView.swift */; };
		04582A092DB9EBFC00C1792D /* KeyboardTeachView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 04582A082DB9EBFC00C1792D /* KeyboardTeachView.swift */; };
		04582A0E2DBB2DE400C1792D /* String+Extension.swift in Sources */ = {isa = PBXBuildFile; fileRef = 04582A0D2DBB2DE400C1792D /* String+Extension.swift */; };
		04582A102DBB39A700C1792D /* KeyboardBaseView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 04582A0F2DBB39A700C1792D /* KeyboardBaseView.swift */; };
		04582A122DBB642C00C1792D /* UILabel+Extension.swift in Sources */ = {isa = PBXBuildFile; fileRef = 04582A112DBB642C00C1792D /* UILabel+Extension.swift */; };
		04582A142DBB67FB00C1792D /* KeyboardLoginTipView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 04582A132DBB67FB00C1792D /* KeyboardLoginTipView.swift */; };
		04582A162DBB681100C1792D /* KeyboardVipTipView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 04582A152DBB681100C1792D /* KeyboardVipTipView.swift */; };
		04582A182DBB6CFA00C1792D /* UIImage+Extension.swift in Sources */ = {isa = PBXBuildFile; fileRef = 04582A172DBB6CFA00C1792D /* UIImage+Extension.swift */; };
		04582A1B2DBB7BDD00C1792D /* vip_button.json in Resources */ = {isa = PBXBuildFile; fileRef = 04582A1A2DBB7BDD00C1792D /* vip_button.json */; };
		04582A1F2DBF227900C1792D /* KeyboardMenuView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 04582A1E2DBF227900C1792D /* KeyboardMenuView.swift */; };
		04582A302DBF5B6700C1792D /* KeyboardPrologueView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 04582A2F2DBF5B6700C1792D /* KeyboardPrologueView.swift */; };
		04582A322DBF6C0800C1792D /* heart.json in Resources */ = {isa = PBXBuildFile; fileRef = 04582A312DBF6C0800C1792D /* heart.json */; };
		04582A342DBF6CB800C1792D /* KeyboardExchangeView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 04582A332DBF6CB800C1792D /* KeyboardExchangeView.swift */; };
		04582A372DBF6F8300C1792D /* KeyboardExchangeCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 04582A362DBF6F8200C1792D /* KeyboardExchangeCell.swift */; };
		04582A392DBF820D00C1792D /* KeyboardTeachDialogueCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 04582A382DBF820D00C1792D /* KeyboardTeachDialogueCell.swift */; };
		04582A402DBF8FD500C1792D /* KeyboardNetworkManager.swift in Sources */ = {isa = PBXBuildFile; fileRef = 04582A3F2DBF8FD500C1792D /* KeyboardNetworkManager.swift */; };
		04582A422DBF910400C1792D /* KeyboardApi.swift in Sources */ = {isa = PBXBuildFile; fileRef = 04582A412DBF910400C1792D /* KeyboardApi.swift */; };
		04582A442DBF964400C1792D /* KeyboardBaseResponse.swift in Sources */ = {isa = PBXBuildFile; fileRef = 04582A432DBF964400C1792D /* KeyboardBaseResponse.swift */; };
		04582A472DC07ECA00C1792D /* KeyboardModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 04582A462DC07ECA00C1792D /* KeyboardModel.swift */; };
		04582A492DC07ED100C1792D /* UserModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 04582A482DC07ED100C1792D /* UserModel.swift */; };
		04582A4B2DC0BDA100C1792D /* CharacterModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 04582A4A2DC0BDA100C1792D /* CharacterModel.swift */; };
		04582A4D2DC1CFBC00C1792D /* keyboard_loading.json in Resources */ = {isa = PBXBuildFile; fileRef = 04582A4C2DC1CFBC00C1792D /* keyboard_loading.json */; };
		04582A4F2DC203DD00C1792D /* ChatModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 04582A4E2DC203DD00C1792D /* ChatModel.swift */; };
		04582A512DC211F100C1792D /* keyboard_dialog_loading.json in Resources */ = {isa = PBXBuildFile; fileRef = 04582A502DC211F100C1792D /* keyboard_dialog_loading.json */; };
		04582A532DC227E700C1792D /* PrologueModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 04582A522DC227E700C1792D /* PrologueModel.swift */; };
		0A7B5470C92CC094EF933259 /* Pods_Runner.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = C33B8387B7ED09CA498E0EC7 /* Pods_Runner.framework */; };
		1498D2341E8E89220040F4C2 /* GeneratedPluginRegistrant.m in Sources */ = {isa = PBXBuildFile; fileRef = 1498D2331E8E89220040F4C2 /* GeneratedPluginRegistrant.m */; };
		331C808B294A63AB00263BE5 /* RunnerTests.swift in Sources */ = {isa = PBXBuildFile; fileRef = 331C807B294A618700263BE5 /* RunnerTests.swift */; };
		3680C058F94223A652A0F15D /* Pods_RunnerTests.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = B77EC1F8B12A295BD1DC6742 /* Pods_RunnerTests.framework */; };
		3B3967161E833CAA004F5970 /* AppFrameworkInfo.plist in Resources */ = {isa = PBXBuildFile; fileRef = 3B3967151E833CAA004F5970 /* AppFrameworkInfo.plist */; };
		74858FAF1ED2DC5600515810 /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 74858FAE1ED2DC5600515810 /* AppDelegate.swift */; };
		97C146FC1CF9000F007C117D /* Main.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 97C146FA1CF9000F007C117D /* Main.storyboard */; };
		97C146FE1CF9000F007C117D /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 97C146FD1CF9000F007C117D /* Assets.xcassets */; };
		97C147011CF9000F007C117D /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 97C146FF1CF9000F007C117D /* LaunchScreen.storyboard */; };
		A21E1420BB362BC7E3EB4811 /* Pods_AiKeyboard.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 0B5EF92DE43959D6CF5B50A3 /* Pods_AiKeyboard.framework */; };
		FE05FA2E2DCE0CFC00CBA944 /* Settings.bundle in Resources */ = {isa = PBXBuildFile; fileRef = FE05FA2D2DCE0CFC00CBA944 /* Settings.bundle */; };
		FE8F000A2DCC4D6F00AA2562 /* FlutterMethodChannelManager.swift in Sources */ = {isa = PBXBuildFile; fileRef = FE8F00092DCC4D6F00AA2562 /* FlutterMethodChannelManager.swift */; };
		FED899712DD1D044001808D5 /* KeyboardTipsPopView.swift in Sources */ = {isa = PBXBuildFile; fileRef = FED899702DD1D044001808D5 /* KeyboardTipsPopView.swift */; };
		FED899762DD1F5D5001808D5 /* tbmct.ttf in Resources */ = {isa = PBXBuildFile; fileRef = FED899752DD1F5D5001808D5 /* tbmct.ttf */; };
		FED899772DD1F5D5001808D5 /* tbmct.ttf in Resources */ = {isa = PBXBuildFile; fileRef = FED899752DD1F5D5001808D5 /* tbmct.ttf */; };
/* End PBXBuildFile section */

/* Begin PBXContainerItemProxy section */
		045828752DB897D400C1792D /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 97C146E61CF9000F007C117D /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 0458286F2DB897D400C1792D;
			remoteInfo = AiKeyboard;
		};
		331C8085294A63A400263BE5 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 97C146E61CF9000F007C117D /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 97C146ED1CF9000F007C117D;
			remoteInfo = Runner;
		};
/* End PBXContainerItemProxy section */

/* Begin PBXCopyFilesBuildPhase section */
		0458287C2DB897D400C1792D /* Embed Foundation Extensions */ = {
			isa = PBXCopyFilesBuildPhase;
			buildActionMask = 2147483647;
			dstPath = "";
			dstSubfolderSpec = 13;
			files = (
				045828772DB897D400C1792D /* AiKeyboard.appex in Embed Foundation Extensions */,
			);
			name = "Embed Foundation Extensions";
			runOnlyForDeploymentPostprocessing = 0;
		};
		9705A1C41CF9048500538489 /* Embed Frameworks */ = {
			isa = PBXCopyFilesBuildPhase;
			buildActionMask = 2147483647;
			dstPath = "";
			dstSubfolderSpec = 10;
			files = (
			);
			name = "Embed Frameworks";
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXCopyFilesBuildPhase section */

/* Begin PBXFileReference section */
		043D62352DCB0DF8005D12EE /* Runner.entitlements */ = {isa = PBXFileReference; lastKnownFileType = text.plist.entitlements; path = Runner.entitlements; sourceTree = "<group>"; };
		043D62362DCB0E7A005D12EE /* KeyboardSharedDataManager.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = KeyboardSharedDataManager.swift; sourceTree = "<group>"; };
		045828702DB897D400C1792D /* AiKeyboard.appex */ = {isa = PBXFileReference; explicitFileType = "wrapper.app-extension"; includeInIndex = 0; path = AiKeyboard.appex; sourceTree = BUILT_PRODUCTS_DIR; };
		045828722DB897D400C1792D /* KeyboardViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = KeyboardViewController.swift; sourceTree = "<group>"; };
		045828742DB897D400C1792D /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		045828C82DB89ABE00C1792D /* Media.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Media.xcassets; sourceTree = "<group>"; };
		045828CB2DB8C62100C1792D /* UIColor+Extension.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "UIColor+Extension.swift"; sourceTree = "<group>"; };
		045829AD2DB8DD2200C1792D /* KeyboardHelpView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = KeyboardHelpView.swift; sourceTree = "<group>"; };
		045829FD2DB8E6D300C1792D /* KeyboardCharacterCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = KeyboardCharacterCell.swift; sourceTree = "<group>"; };
		04582A002DB8EBC700C1792D /* KeyboardConst.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = KeyboardConst.swift; sourceTree = "<group>"; };
		04582A022DB8F24100C1792D /* UIButton+Extension.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "UIButton+Extension.swift"; sourceTree = "<group>"; };
		04582A042DB8F26200C1792D /* UIView+Extension.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "UIView+Extension.swift"; sourceTree = "<group>"; };
		04582A062DB8F9A300C1792D /* KeyboardFunctionPopView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = KeyboardFunctionPopView.swift; sourceTree = "<group>"; };
		04582A082DB9EBFC00C1792D /* KeyboardTeachView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = KeyboardTeachView.swift; sourceTree = "<group>"; };
		04582A0D2DBB2DE400C1792D /* String+Extension.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "String+Extension.swift"; sourceTree = "<group>"; };
		04582A0F2DBB39A700C1792D /* KeyboardBaseView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = KeyboardBaseView.swift; sourceTree = "<group>"; };
		04582A112DBB642C00C1792D /* UILabel+Extension.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "UILabel+Extension.swift"; sourceTree = "<group>"; };
		04582A132DBB67FB00C1792D /* KeyboardLoginTipView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = KeyboardLoginTipView.swift; sourceTree = "<group>"; };
		04582A152DBB681100C1792D /* KeyboardVipTipView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = KeyboardVipTipView.swift; sourceTree = "<group>"; };
		04582A172DBB6CFA00C1792D /* UIImage+Extension.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "UIImage+Extension.swift"; sourceTree = "<group>"; };
		04582A1A2DBB7BDD00C1792D /* vip_button.json */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = text.json; path = vip_button.json; sourceTree = "<group>"; };
		04582A1E2DBF227900C1792D /* KeyboardMenuView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = KeyboardMenuView.swift; sourceTree = "<group>"; };
		04582A2F2DBF5B6700C1792D /* KeyboardPrologueView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = KeyboardPrologueView.swift; sourceTree = "<group>"; };
		04582A312DBF6C0800C1792D /* heart.json */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = text.json; path = heart.json; sourceTree = "<group>"; };
		04582A332DBF6CB800C1792D /* KeyboardExchangeView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = KeyboardExchangeView.swift; sourceTree = "<group>"; };
		04582A362DBF6F8200C1792D /* KeyboardExchangeCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = KeyboardExchangeCell.swift; sourceTree = "<group>"; };
		04582A382DBF820D00C1792D /* KeyboardTeachDialogueCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = KeyboardTeachDialogueCell.swift; sourceTree = "<group>"; };
		04582A3F2DBF8FD500C1792D /* KeyboardNetworkManager.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = KeyboardNetworkManager.swift; sourceTree = "<group>"; };
		04582A412DBF910400C1792D /* KeyboardApi.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = KeyboardApi.swift; sourceTree = "<group>"; };
		04582A432DBF964400C1792D /* KeyboardBaseResponse.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = KeyboardBaseResponse.swift; sourceTree = "<group>"; };
		04582A462DC07ECA00C1792D /* KeyboardModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = KeyboardModel.swift; sourceTree = "<group>"; };
		04582A482DC07ED100C1792D /* UserModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = UserModel.swift; sourceTree = "<group>"; };
		04582A4A2DC0BDA100C1792D /* CharacterModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CharacterModel.swift; sourceTree = "<group>"; };
		04582A4C2DC1CFBC00C1792D /* keyboard_loading.json */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = text.json; path = keyboard_loading.json; sourceTree = "<group>"; };
		04582A4E2DC203DD00C1792D /* ChatModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ChatModel.swift; sourceTree = "<group>"; };
		04582A502DC211F100C1792D /* keyboard_dialog_loading.json */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = text.json; path = keyboard_dialog_loading.json; sourceTree = "<group>"; };
		04582A522DC227E700C1792D /* PrologueModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = PrologueModel.swift; sourceTree = "<group>"; };
		0B5EF92DE43959D6CF5B50A3 /* Pods_AiKeyboard.framework */ = {isa = PBXFileReference; explicitFileType = wrapper.framework; includeInIndex = 0; path = Pods_AiKeyboard.framework; sourceTree = BUILT_PRODUCTS_DIR; };
		1498D2321E8E86230040F4C2 /* GeneratedPluginRegistrant.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = GeneratedPluginRegistrant.h; sourceTree = "<group>"; };
		1498D2331E8E89220040F4C2 /* GeneratedPluginRegistrant.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = GeneratedPluginRegistrant.m; sourceTree = "<group>"; };
		2643F46D415CBABCC40C425B /* Pods-RunnerTests.release.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-RunnerTests.release.xcconfig"; path = "Target Support Files/Pods-RunnerTests/Pods-RunnerTests.release.xcconfig"; sourceTree = "<group>"; };
		2C32B38FCDADA18A119DC5D4 /* Pods-RunnerTests.debug.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-RunnerTests.debug.xcconfig"; path = "Target Support Files/Pods-RunnerTests/Pods-RunnerTests.debug.xcconfig"; sourceTree = "<group>"; };
		331C807B294A618700263BE5 /* RunnerTests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = RunnerTests.swift; sourceTree = "<group>"; };
		331C8081294A63A400263BE5 /* RunnerTests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = RunnerTests.xctest; sourceTree = BUILT_PRODUCTS_DIR; };
		36BC73017CB4127A58740364 /* Pods-AiKeyboard.profile.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-AiKeyboard.profile.xcconfig"; path = "Target Support Files/Pods-AiKeyboard/Pods-AiKeyboard.profile.xcconfig"; sourceTree = "<group>"; };
		3B3967151E833CAA004F5970 /* AppFrameworkInfo.plist */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = text.plist.xml; name = AppFrameworkInfo.plist; path = Flutter/AppFrameworkInfo.plist; sourceTree = "<group>"; };
		51852D8AB51D75A2CC226FD2 /* Pods-AiKeyboard.release.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-AiKeyboard.release.xcconfig"; path = "Target Support Files/Pods-AiKeyboard/Pods-AiKeyboard.release.xcconfig"; sourceTree = "<group>"; };
		74858FAD1ED2DC5600515810 /* Runner-Bridging-Header.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = "Runner-Bridging-Header.h"; sourceTree = "<group>"; };
		74858FAE1ED2DC5600515810 /* AppDelegate.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		7AFA3C8E1D35360C0083082E /* Release.xcconfig */ = {isa = PBXFileReference; lastKnownFileType = text.xcconfig; name = Release.xcconfig; path = Flutter/Release.xcconfig; sourceTree = "<group>"; };
		8384140B01CBFD52730BA261 /* Pods-AiKeyboard.debug.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-AiKeyboard.debug.xcconfig"; path = "Target Support Files/Pods-AiKeyboard/Pods-AiKeyboard.debug.xcconfig"; sourceTree = "<group>"; };
		9740EEB21CF90195004384FC /* Debug.xcconfig */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = text.xcconfig; name = Debug.xcconfig; path = Flutter/Debug.xcconfig; sourceTree = "<group>"; };
		9740EEB31CF90195004384FC /* Generated.xcconfig */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = text.xcconfig; name = Generated.xcconfig; path = Flutter/Generated.xcconfig; sourceTree = "<group>"; };
		97C146EE1CF9000F007C117D /* Runner.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = Runner.app; sourceTree = BUILT_PRODUCTS_DIR; };
		97C146FB1CF9000F007C117D /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/Main.storyboard; sourceTree = "<group>"; };
		97C146FD1CF9000F007C117D /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		97C147001CF9000F007C117D /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		97C147021CF9000F007C117D /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		A7713E7B7C46A90C0E007A95 /* Pods-Runner.release.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-Runner.release.xcconfig"; path = "Target Support Files/Pods-Runner/Pods-Runner.release.xcconfig"; sourceTree = "<group>"; };
		AE0B4B7AEB1E675ABA762EA2 /* Pods-Runner.profile.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-Runner.profile.xcconfig"; path = "Target Support Files/Pods-Runner/Pods-Runner.profile.xcconfig"; sourceTree = "<group>"; };
		B29DC4E0B4ED0C83ABDE4C76 /* Pods-RunnerTests.profile.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-RunnerTests.profile.xcconfig"; path = "Target Support Files/Pods-RunnerTests/Pods-RunnerTests.profile.xcconfig"; sourceTree = "<group>"; };
		B77EC1F8B12A295BD1DC6742 /* Pods_RunnerTests.framework */ = {isa = PBXFileReference; explicitFileType = wrapper.framework; includeInIndex = 0; path = Pods_RunnerTests.framework; sourceTree = BUILT_PRODUCTS_DIR; };
		C33B8387B7ED09CA498E0EC7 /* Pods_Runner.framework */ = {isa = PBXFileReference; explicitFileType = wrapper.framework; includeInIndex = 0; path = Pods_Runner.framework; sourceTree = BUILT_PRODUCTS_DIR; };
		D50315B08E93289C08ED808C /* Pods-Runner.debug.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-Runner.debug.xcconfig"; path = "Target Support Files/Pods-Runner/Pods-Runner.debug.xcconfig"; sourceTree = "<group>"; };
		FE05FA2D2DCE0CFC00CBA944 /* Settings.bundle */ = {isa = PBXFileReference; lastKnownFileType = "wrapper.plug-in"; path = Settings.bundle; sourceTree = "<group>"; };
		FE8F00052DCC4A7B00AA2562 /* AiKeyboard.entitlements */ = {isa = PBXFileReference; lastKnownFileType = text.plist.entitlements; path = AiKeyboard.entitlements; sourceTree = "<group>"; };
		FE8F00092DCC4D6F00AA2562 /* FlutterMethodChannelManager.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = FlutterMethodChannelManager.swift; sourceTree = "<group>"; };
		FED899702DD1D044001808D5 /* KeyboardTipsPopView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = KeyboardTipsPopView.swift; sourceTree = "<group>"; };
		FED899752DD1F5D5001808D5 /* tbmct.ttf */ = {isa = PBXFileReference; lastKnownFileType = file; path = tbmct.ttf; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		0458286D2DB897D400C1792D /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				A21E1420BB362BC7E3EB4811 /* Pods_AiKeyboard.framework in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		97C146EB1CF9000F007C117D /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				0A7B5470C92CC094EF933259 /* Pods_Runner.framework in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		D0B1A104582AC938612AE6B7 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				3680C058F94223A652A0F15D /* Pods_RunnerTests.framework in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		045828712DB897D400C1792D /* AiKeyboard */ = {
			isa = PBXGroup;
			children = (
				FE8F00052DCC4A7B00AA2562 /* AiKeyboard.entitlements */,
				04582A452DC07EB700C1792D /* Model */,
				04582A192DBB7BBB00C1792D /* Animate */,
				04582A3E2DBF8FBB00C1792D /* Network */,
				045829FF2DB8EBB900C1792D /* Marco */,
				045828CD2DB8CADD00C1792D /* Frameworks */,
				045828CA2DB8C5DF00C1792D /* Extension */,
				045829AC2DB8DCF000C1792D /* View */,
				045828722DB897D400C1792D /* KeyboardViewController.swift */,
				045828742DB897D400C1792D /* Info.plist */,
				045828C82DB89ABE00C1792D /* Media.xcassets */,
			);
			path = AiKeyboard;
			sourceTree = "<group>";
		};
		045828CA2DB8C5DF00C1792D /* Extension */ = {
			isa = PBXGroup;
			children = (
				045828CB2DB8C62100C1792D /* UIColor+Extension.swift */,
				04582A022DB8F24100C1792D /* UIButton+Extension.swift */,
				04582A042DB8F26200C1792D /* UIView+Extension.swift */,
				04582A0D2DBB2DE400C1792D /* String+Extension.swift */,
				04582A112DBB642C00C1792D /* UILabel+Extension.swift */,
				04582A172DBB6CFA00C1792D /* UIImage+Extension.swift */,
			);
			path = Extension;
			sourceTree = "<group>";
		};
		045828CD2DB8CADD00C1792D /* Frameworks */ = {
			isa = PBXGroup;
			children = (
			);
			path = Frameworks;
			sourceTree = "<group>";
		};
		045829AC2DB8DCF000C1792D /* View */ = {
			isa = PBXGroup;
			children = (
				04582A352DBF6F7700C1792D /* Cell */,
				04582A2E2DBF5B4000C1792D /* PopView */,
				04582A2D2DBF5B3000C1792D /* MainView */,
			);
			path = View;
			sourceTree = "<group>";
		};
		045829FF2DB8EBB900C1792D /* Marco */ = {
			isa = PBXGroup;
			children = (
				04582A002DB8EBC700C1792D /* KeyboardConst.swift */,
			);
			path = Marco;
			sourceTree = "<group>";
		};
		04582A192DBB7BBB00C1792D /* Animate */ = {
			isa = PBXGroup;
			children = (
				04582A502DC211F100C1792D /* keyboard_dialog_loading.json */,
				04582A4C2DC1CFBC00C1792D /* keyboard_loading.json */,
				04582A312DBF6C0800C1792D /* heart.json */,
				04582A1A2DBB7BDD00C1792D /* vip_button.json */,
			);
			path = Animate;
			sourceTree = "<group>";
		};
		04582A2D2DBF5B3000C1792D /* MainView */ = {
			isa = PBXGroup;
			children = (
				04582A0F2DBB39A700C1792D /* KeyboardBaseView.swift */,
				045829AD2DB8DD2200C1792D /* KeyboardHelpView.swift */,
				04582A082DB9EBFC00C1792D /* KeyboardTeachView.swift */,
				04582A2F2DBF5B6700C1792D /* KeyboardPrologueView.swift */,
			);
			path = MainView;
			sourceTree = "<group>";
		};
		04582A2E2DBF5B4000C1792D /* PopView */ = {
			isa = PBXGroup;
			children = (
				04582A062DB8F9A300C1792D /* KeyboardFunctionPopView.swift */,
				04582A332DBF6CB800C1792D /* KeyboardExchangeView.swift */,
				04582A132DBB67FB00C1792D /* KeyboardLoginTipView.swift */,
				04582A152DBB681100C1792D /* KeyboardVipTipView.swift */,
				04582A1E2DBF227900C1792D /* KeyboardMenuView.swift */,
				FED899702DD1D044001808D5 /* KeyboardTipsPopView.swift */,
			);
			path = PopView;
			sourceTree = "<group>";
		};
		04582A352DBF6F7700C1792D /* Cell */ = {
			isa = PBXGroup;
			children = (
				04582A362DBF6F8200C1792D /* KeyboardExchangeCell.swift */,
				045829FD2DB8E6D300C1792D /* KeyboardCharacterCell.swift */,
				04582A382DBF820D00C1792D /* KeyboardTeachDialogueCell.swift */,
			);
			path = Cell;
			sourceTree = "<group>";
		};
		04582A3E2DBF8FBB00C1792D /* Network */ = {
			isa = PBXGroup;
			children = (
				04582A412DBF910400C1792D /* KeyboardApi.swift */,
				04582A3F2DBF8FD500C1792D /* KeyboardNetworkManager.swift */,
				04582A432DBF964400C1792D /* KeyboardBaseResponse.swift */,
			);
			path = Network;
			sourceTree = "<group>";
		};
		04582A452DC07EB700C1792D /* Model */ = {
			isa = PBXGroup;
			children = (
				04582A462DC07ECA00C1792D /* KeyboardModel.swift */,
				04582A482DC07ED100C1792D /* UserModel.swift */,
				04582A4A2DC0BDA100C1792D /* CharacterModel.swift */,
				04582A4E2DC203DD00C1792D /* ChatModel.swift */,
				04582A522DC227E700C1792D /* PrologueModel.swift */,
			);
			path = Model;
			sourceTree = "<group>";
		};
		0E6767BCD381C831C55C33A7 /* Pods */ = {
			isa = PBXGroup;
			children = (
				D50315B08E93289C08ED808C /* Pods-Runner.debug.xcconfig */,
				A7713E7B7C46A90C0E007A95 /* Pods-Runner.release.xcconfig */,
				AE0B4B7AEB1E675ABA762EA2 /* Pods-Runner.profile.xcconfig */,
				2C32B38FCDADA18A119DC5D4 /* Pods-RunnerTests.debug.xcconfig */,
				2643F46D415CBABCC40C425B /* Pods-RunnerTests.release.xcconfig */,
				B29DC4E0B4ED0C83ABDE4C76 /* Pods-RunnerTests.profile.xcconfig */,
				8384140B01CBFD52730BA261 /* Pods-AiKeyboard.debug.xcconfig */,
				51852D8AB51D75A2CC226FD2 /* Pods-AiKeyboard.release.xcconfig */,
				36BC73017CB4127A58740364 /* Pods-AiKeyboard.profile.xcconfig */,
			);
			path = Pods;
			sourceTree = "<group>";
		};
		331C8082294A63A400263BE5 /* RunnerTests */ = {
			isa = PBXGroup;
			children = (
				331C807B294A618700263BE5 /* RunnerTests.swift */,
			);
			path = RunnerTests;
			sourceTree = "<group>";
		};
		3B6778B85F59D91D94442F72 /* Frameworks */ = {
			isa = PBXGroup;
			children = (
				C33B8387B7ED09CA498E0EC7 /* Pods_Runner.framework */,
				B77EC1F8B12A295BD1DC6742 /* Pods_RunnerTests.framework */,
				0B5EF92DE43959D6CF5B50A3 /* Pods_AiKeyboard.framework */,
			);
			name = Frameworks;
			sourceTree = "<group>";
		};
		9740EEB11CF90186004384FC /* Flutter */ = {
			isa = PBXGroup;
			children = (
				3B3967151E833CAA004F5970 /* AppFrameworkInfo.plist */,
				9740EEB21CF90195004384FC /* Debug.xcconfig */,
				7AFA3C8E1D35360C0083082E /* Release.xcconfig */,
				9740EEB31CF90195004384FC /* Generated.xcconfig */,
			);
			name = Flutter;
			sourceTree = "<group>";
		};
		97C146E51CF9000F007C117D = {
			isa = PBXGroup;
			children = (
				FED899752DD1F5D5001808D5 /* tbmct.ttf */,
				043D62362DCB0E7A005D12EE /* KeyboardSharedDataManager.swift */,
				9740EEB11CF90186004384FC /* Flutter */,
				97C146F01CF9000F007C117D /* Runner */,
				045828712DB897D400C1792D /* AiKeyboard */,
				97C146EF1CF9000F007C117D /* Products */,
				331C8082294A63A400263BE5 /* RunnerTests */,
				0E6767BCD381C831C55C33A7 /* Pods */,
				3B6778B85F59D91D94442F72 /* Frameworks */,
			);
			sourceTree = "<group>";
		};
		97C146EF1CF9000F007C117D /* Products */ = {
			isa = PBXGroup;
			children = (
				97C146EE1CF9000F007C117D /* Runner.app */,
				331C8081294A63A400263BE5 /* RunnerTests.xctest */,
				045828702DB897D400C1792D /* AiKeyboard.appex */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		97C146F01CF9000F007C117D /* Runner */ = {
			isa = PBXGroup;
			children = (
				043D62352DCB0DF8005D12EE /* Runner.entitlements */,
				97C146FA1CF9000F007C117D /* Main.storyboard */,
				97C146FD1CF9000F007C117D /* Assets.xcassets */,
				97C146FF1CF9000F007C117D /* LaunchScreen.storyboard */,
				97C147021CF9000F007C117D /* Info.plist */,
				1498D2321E8E86230040F4C2 /* GeneratedPluginRegistrant.h */,
				1498D2331E8E89220040F4C2 /* GeneratedPluginRegistrant.m */,
				74858FAE1ED2DC5600515810 /* AppDelegate.swift */,
				74858FAD1ED2DC5600515810 /* Runner-Bridging-Header.h */,
				FE8F00092DCC4D6F00AA2562 /* FlutterMethodChannelManager.swift */,
				FE05FA2D2DCE0CFC00CBA944 /* Settings.bundle */,
			);
			path = Runner;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		0458286F2DB897D400C1792D /* AiKeyboard */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 045828782DB897D400C1792D /* Build configuration list for PBXNativeTarget "AiKeyboard" */;
			buildPhases = (
				2C11AF6EBCEAB3BA2F41A35A /* [CP] Check Pods Manifest.lock */,
				0458286C2DB897D400C1792D /* Sources */,
				0458286D2DB897D400C1792D /* Frameworks */,
				0458286E2DB897D400C1792D /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = AiKeyboard;
			productName = AiKeyboard;
			productReference = 045828702DB897D400C1792D /* AiKeyboard.appex */;
			productType = "com.apple.product-type.app-extension";
		};
		331C8080294A63A400263BE5 /* RunnerTests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 331C8087294A63A400263BE5 /* Build configuration list for PBXNativeTarget "RunnerTests" */;
			buildPhases = (
				2333A49A9A45CAC5393CF828 /* [CP] Check Pods Manifest.lock */,
				331C807D294A63A400263BE5 /* Sources */,
				331C807F294A63A400263BE5 /* Resources */,
				D0B1A104582AC938612AE6B7 /* Frameworks */,
			);
			buildRules = (
			);
			dependencies = (
				331C8086294A63A400263BE5 /* PBXTargetDependency */,
			);
			name = RunnerTests;
			productName = RunnerTests;
			productReference = 331C8081294A63A400263BE5 /* RunnerTests.xctest */;
			productType = "com.apple.product-type.bundle.unit-test";
		};
		97C146ED1CF9000F007C117D /* Runner */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 97C147051CF9000F007C117D /* Build configuration list for PBXNativeTarget "Runner" */;
			buildPhases = (
				C84FD05E1687413028FE5569 /* [CP] Check Pods Manifest.lock */,
				9705A1C41CF9048500538489 /* Embed Frameworks */,
				0458287C2DB897D400C1792D /* Embed Foundation Extensions */,
				EADF2BA47287E2D0EA1688E0 /* [CP] Embed Pods Frameworks */,
				9740EEB61CF901F6004384FC /* Run Script */,
				97C146EA1CF9000F007C117D /* Sources */,
				97C146EB1CF9000F007C117D /* Frameworks */,
				97C146EC1CF9000F007C117D /* Resources */,
				3B06AD1E1E4923F5004D2608 /* Thin Binary */,
				983A7A17C703B56965F0AE2C /* [CP] Copy Pods Resources */,
			);
			buildRules = (
			);
			dependencies = (
				045828762DB897D400C1792D /* PBXTargetDependency */,
			);
			name = Runner;
			productName = Runner;
			productReference = 97C146EE1CF9000F007C117D /* Runner.app */;
			productType = "com.apple.product-type.application";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		97C146E61CF9000F007C117D /* Project object */ = {
			isa = PBXProject;
			attributes = {
				BuildIndependentTargetsInParallel = YES;
				LastSwiftUpdateCheck = 1500;
				LastUpgradeCheck = 1510;
				ORGANIZATIONNAME = "";
				TargetAttributes = {
					0458286F2DB897D400C1792D = {
						CreatedOnToolsVersion = 15.0.1;
					};
					331C8080294A63A400263BE5 = {
						CreatedOnToolsVersion = 14.0;
						TestTargetID = 97C146ED1CF9000F007C117D;
					};
					97C146ED1CF9000F007C117D = {
						CreatedOnToolsVersion = 7.3.1;
						LastSwiftMigration = 1100;
					};
				};
			};
			buildConfigurationList = 97C146E91CF9000F007C117D /* Build configuration list for PBXProject "Runner" */;
			compatibilityVersion = "Xcode 9.3";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 97C146E51CF9000F007C117D;
			productRefGroup = 97C146EF1CF9000F007C117D /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				97C146ED1CF9000F007C117D /* Runner */,
				331C8080294A63A400263BE5 /* RunnerTests */,
				0458286F2DB897D400C1792D /* AiKeyboard */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		0458286E2DB897D400C1792D /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				04582A1B2DBB7BDD00C1792D /* vip_button.json in Resources */,
				04582A4D2DC1CFBC00C1792D /* keyboard_loading.json in Resources */,
				04582A512DC211F100C1792D /* keyboard_dialog_loading.json in Resources */,
				04582A322DBF6C0800C1792D /* heart.json in Resources */,
				045828C92DB89ABE00C1792D /* Media.xcassets in Resources */,
				FED899772DD1F5D5001808D5 /* tbmct.ttf in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		331C807F294A63A400263BE5 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		97C146EC1CF9000F007C117D /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				97C147011CF9000F007C117D /* LaunchScreen.storyboard in Resources */,
				3B3967161E833CAA004F5970 /* AppFrameworkInfo.plist in Resources */,
				FE05FA2E2DCE0CFC00CBA944 /* Settings.bundle in Resources */,
				97C146FE1CF9000F007C117D /* Assets.xcassets in Resources */,
				97C146FC1CF9000F007C117D /* Main.storyboard in Resources */,
				FED899762DD1F5D5001808D5 /* tbmct.ttf in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXShellScriptBuildPhase section */
		2333A49A9A45CAC5393CF828 /* [CP] Check Pods Manifest.lock */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
			);
			inputPaths = (
				"${PODS_PODFILE_DIR_PATH}/Podfile.lock",
				"${PODS_ROOT}/Manifest.lock",
			);
			name = "[CP] Check Pods Manifest.lock";
			outputFileListPaths = (
			);
			outputPaths = (
				"$(DERIVED_FILE_DIR)/Pods-RunnerTests-checkManifestLockResult.txt",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n    # print error to STDERR\n    echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n    exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
			showEnvVarsInLog = 0;
		};
		2C11AF6EBCEAB3BA2F41A35A /* [CP] Check Pods Manifest.lock */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
			);
			inputPaths = (
				"${PODS_PODFILE_DIR_PATH}/Podfile.lock",
				"${PODS_ROOT}/Manifest.lock",
			);
			name = "[CP] Check Pods Manifest.lock";
			outputFileListPaths = (
			);
			outputPaths = (
				"$(DERIVED_FILE_DIR)/Pods-AiKeyboard-checkManifestLockResult.txt",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n    # print error to STDERR\n    echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n    exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
			showEnvVarsInLog = 0;
		};
		3B06AD1E1E4923F5004D2608 /* Thin Binary */ = {
			isa = PBXShellScriptBuildPhase;
			alwaysOutOfDate = 1;
			buildActionMask = 2147483647;
			files = (
			);
			inputPaths = (
				"${TARGET_BUILD_DIR}/${INFOPLIST_PATH}",
			);
			name = "Thin Binary";
			outputPaths = (
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "/bin/sh \"$FLUTTER_ROOT/packages/flutter_tools/bin/xcode_backend.sh\" embed_and_thin";
		};
		9740EEB61CF901F6004384FC /* Run Script */ = {
			isa = PBXShellScriptBuildPhase;
			alwaysOutOfDate = 1;
			buildActionMask = 2147483647;
			files = (
			);
			inputPaths = (
			);
			name = "Run Script";
			outputPaths = (
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "/bin/sh \"$FLUTTER_ROOT/packages/flutter_tools/bin/xcode_backend.sh\" build\n";
		};
		983A7A17C703B56965F0AE2C /* [CP] Copy Pods Resources */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
				"${PODS_ROOT}/Target Support Files/Pods-Runner/Pods-Runner-resources-${CONFIGURATION}-input-files.xcfilelist",
			);
			name = "[CP] Copy Pods Resources";
			outputFileListPaths = (
				"${PODS_ROOT}/Target Support Files/Pods-Runner/Pods-Runner-resources-${CONFIGURATION}-output-files.xcfilelist",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-Runner/Pods-Runner-resources.sh\"\n";
			showEnvVarsInLog = 0;
		};
		C84FD05E1687413028FE5569 /* [CP] Check Pods Manifest.lock */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
			);
			inputPaths = (
				"${PODS_PODFILE_DIR_PATH}/Podfile.lock",
				"${PODS_ROOT}/Manifest.lock",
			);
			name = "[CP] Check Pods Manifest.lock";
			outputFileListPaths = (
			);
			outputPaths = (
				"$(DERIVED_FILE_DIR)/Pods-Runner-checkManifestLockResult.txt",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n    # print error to STDERR\n    echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n    exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
			showEnvVarsInLog = 0;
		};
		EADF2BA47287E2D0EA1688E0 /* [CP] Embed Pods Frameworks */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
				"${PODS_ROOT}/Target Support Files/Pods-Runner/Pods-Runner-frameworks-${CONFIGURATION}-input-files.xcfilelist",
			);
			name = "[CP] Embed Pods Frameworks";
			outputFileListPaths = (
				"${PODS_ROOT}/Target Support Files/Pods-Runner/Pods-Runner-frameworks-${CONFIGURATION}-output-files.xcfilelist",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-Runner/Pods-Runner-frameworks.sh\"\n";
			showEnvVarsInLog = 0;
		};
/* End PBXShellScriptBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		0458286C2DB897D400C1792D /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				04582A072DB8F9A300C1792D /* KeyboardFunctionPopView.swift in Sources */,
				04582A342DBF6CB800C1792D /* KeyboardExchangeView.swift in Sources */,
				04582A032DB8F24100C1792D /* UIButton+Extension.swift in Sources */,
				04582A162DBB681100C1792D /* KeyboardVipTipView.swift in Sources */,
				04582A0E2DBB2DE400C1792D /* String+Extension.swift in Sources */,
				045828732DB897D400C1792D /* KeyboardViewController.swift in Sources */,
				04582A402DBF8FD500C1792D /* KeyboardNetworkManager.swift in Sources */,
				045829FE2DB8E6D300C1792D /* KeyboardCharacterCell.swift in Sources */,
				04582A4F2DC203DD00C1792D /* ChatModel.swift in Sources */,
				04582A492DC07ED100C1792D /* UserModel.swift in Sources */,
				04582A472DC07ECA00C1792D /* KeyboardModel.swift in Sources */,
				04582A052DB8F26200C1792D /* UIView+Extension.swift in Sources */,
				04582A532DC227E700C1792D /* PrologueModel.swift in Sources */,
				04582A092DB9EBFC00C1792D /* KeyboardTeachView.swift in Sources */,
				043D62382DCB0F80005D12EE /* KeyboardSharedDataManager.swift in Sources */,
				FED899712DD1D044001808D5 /* KeyboardTipsPopView.swift in Sources */,
				04582A422DBF910400C1792D /* KeyboardApi.swift in Sources */,
				04582A142DBB67FB00C1792D /* KeyboardLoginTipView.swift in Sources */,
				045829AE2DB8DD2200C1792D /* KeyboardHelpView.swift in Sources */,
				04582A012DB8EBC700C1792D /* KeyboardConst.swift in Sources */,
				04582A122DBB642C00C1792D /* UILabel+Extension.swift in Sources */,
				04582A372DBF6F8300C1792D /* KeyboardExchangeCell.swift in Sources */,
				045828CC2DB8C62100C1792D /* UIColor+Extension.swift in Sources */,
				04582A4B2DC0BDA100C1792D /* CharacterModel.swift in Sources */,
				04582A102DBB39A700C1792D /* KeyboardBaseView.swift in Sources */,
				04582A182DBB6CFA00C1792D /* UIImage+Extension.swift in Sources */,
				04582A302DBF5B6700C1792D /* KeyboardPrologueView.swift in Sources */,
				04582A442DBF964400C1792D /* KeyboardBaseResponse.swift in Sources */,
				04582A1F2DBF227900C1792D /* KeyboardMenuView.swift in Sources */,
				04582A392DBF820D00C1792D /* KeyboardTeachDialogueCell.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		331C807D294A63A400263BE5 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				331C808B294A63AB00263BE5 /* RunnerTests.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		97C146EA1CF9000F007C117D /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				043D62372DCB0E7A005D12EE /* KeyboardSharedDataManager.swift in Sources */,
				74858FAF1ED2DC5600515810 /* AppDelegate.swift in Sources */,
				1498D2341E8E89220040F4C2 /* GeneratedPluginRegistrant.m in Sources */,
				FE8F000A2DCC4D6F00AA2562 /* FlutterMethodChannelManager.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXTargetDependency section */
		045828762DB897D400C1792D /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 0458286F2DB897D400C1792D /* AiKeyboard */;
			targetProxy = 045828752DB897D400C1792D /* PBXContainerItemProxy */;
		};
		331C8086294A63A400263BE5 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 97C146ED1CF9000F007C117D /* Runner */;
			targetProxy = 331C8085294A63A400263BE5 /* PBXContainerItemProxy */;
		};
/* End PBXTargetDependency section */

/* Begin PBXVariantGroup section */
		97C146FA1CF9000F007C117D /* Main.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				97C146FB1CF9000F007C117D /* Base */,
			);
			name = Main.storyboard;
			sourceTree = "<group>";
		};
		97C146FF1CF9000F007C117D /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				97C147001CF9000F007C117D /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		045828792DB897D400C1792D /* Debug */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = 8384140B01CBFD52730BA261 /* Pods-AiKeyboard.debug.xcconfig */;
			buildSettings = {
				APPLICATION_EXTENSION_API_ONLY = YES;
				ASSETCATALOG_COMPILER_GENERATE_SWIFT_ASSET_SYMBOL_EXTENSIONS = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++20";
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CODE_SIGN_ENTITLEMENTS = AiKeyboard/AiKeyboard.entitlements;
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_TEAM = ZX23DXLT68;
				ENABLE_USER_SCRIPT_SANDBOXING = YES;
				GCC_C_LANGUAGE_STANDARD = gnu17;
				GENERATE_INFOPLIST_FILE = YES;
				INFOPLIST_FILE = AiKeyboard/Info.plist;
				INFOPLIST_KEY_CFBundleDisplayName = "追爱小键盘";
				INFOPLIST_KEY_NSHumanReadableCopyright = "";
				IPHONEOS_DEPLOYMENT_TARGET = 13.0;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@executable_path/../../Frameworks",
				);
				LOCALIZATION_PREFERS_STRING_CATALOGS = YES;
				MARKETING_VERSION = 1.0;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				PRODUCT_BUNDLE_IDENTIFIER = com.qihuan.zhuiaijianpan.AiKeyboard;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SKIP_INSTALL = YES;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = "DEBUG $(inherited)";
				SWIFT_EMIT_LOC_STRINGS = YES;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		0458287A2DB897D400C1792D /* Release */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = 51852D8AB51D75A2CC226FD2 /* Pods-AiKeyboard.release.xcconfig */;
			buildSettings = {
				APPLICATION_EXTENSION_API_ONLY = YES;
				ASSETCATALOG_COMPILER_GENERATE_SWIFT_ASSET_SYMBOL_EXTENSIONS = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++20";
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CODE_SIGN_ENTITLEMENTS = AiKeyboard/AiKeyboard.entitlements;
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_TEAM = ZX23DXLT68;
				ENABLE_USER_SCRIPT_SANDBOXING = YES;
				GCC_C_LANGUAGE_STANDARD = gnu17;
				GENERATE_INFOPLIST_FILE = YES;
				INFOPLIST_FILE = AiKeyboard/Info.plist;
				INFOPLIST_KEY_CFBundleDisplayName = "追爱小键盘";
				INFOPLIST_KEY_NSHumanReadableCopyright = "";
				IPHONEOS_DEPLOYMENT_TARGET = 13.0;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@executable_path/../../Frameworks",
				);
				LOCALIZATION_PREFERS_STRING_CATALOGS = YES;
				MARKETING_VERSION = 1.0;
				MTL_FAST_MATH = YES;
				PRODUCT_BUNDLE_IDENTIFIER = com.qihuan.zhuiaijianpan.AiKeyboard;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SKIP_INSTALL = YES;
				SWIFT_EMIT_LOC_STRINGS = YES;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
		0458287B2DB897D400C1792D /* Profile */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = 36BC73017CB4127A58740364 /* Pods-AiKeyboard.profile.xcconfig */;
			buildSettings = {
				APPLICATION_EXTENSION_API_ONLY = YES;
				ASSETCATALOG_COMPILER_GENERATE_SWIFT_ASSET_SYMBOL_EXTENSIONS = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++20";
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CODE_SIGN_ENTITLEMENTS = AiKeyboard/AiKeyboard.entitlements;
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_TEAM = ZX23DXLT68;
				ENABLE_USER_SCRIPT_SANDBOXING = YES;
				GCC_C_LANGUAGE_STANDARD = gnu17;
				GENERATE_INFOPLIST_FILE = YES;
				INFOPLIST_FILE = AiKeyboard/Info.plist;
				INFOPLIST_KEY_CFBundleDisplayName = "追爱小键盘";
				INFOPLIST_KEY_NSHumanReadableCopyright = "";
				IPHONEOS_DEPLOYMENT_TARGET = 13.0;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@executable_path/../../Frameworks",
				);
				LOCALIZATION_PREFERS_STRING_CATALOGS = YES;
				MARKETING_VERSION = 1.0;
				MTL_FAST_MATH = YES;
				PRODUCT_BUNDLE_IDENTIFIER = com.qihuan.zhuiaijianpan.AiKeyboard;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SKIP_INSTALL = YES;
				SWIFT_EMIT_LOC_STRINGS = YES;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Profile;
		};
		249021D3217E4FDB00AE95B9 /* Profile */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				ASSETCATALOG_COMPILER_GENERATE_SWIFT_ASSET_SYMBOL_EXTENSIONS = YES;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++0x";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				"CODE_SIGN_IDENTITY[sdk=iphoneos*]" = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_USER_SCRIPT_SANDBOXING = NO;
				GCC_C_LANGUAGE_STANDARD = gnu99;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 13.0;
				MTL_ENABLE_DEBUG_INFO = NO;
				SDKROOT = iphoneos;
				SUPPORTED_PLATFORMS = iphoneos;
				TARGETED_DEVICE_FAMILY = "1,2";
				VALIDATE_PRODUCT = YES;
			};
			name = Profile;
		};
		249021D4217E4FDB00AE95B9 /* Profile */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = 7AFA3C8E1D35360C0083082E /* Release.xcconfig */;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CLANG_ENABLE_MODULES = YES;
				CODE_SIGN_ENTITLEMENTS = Runner/Runner.entitlements;
				CURRENT_PROJECT_VERSION = "$(FLUTTER_BUILD_NUMBER)";
				DEVELOPMENT_TEAM = ZX23DXLT68;
				ENABLE_BITCODE = NO;
				INFOPLIST_FILE = Runner/Info.plist;
				INFOPLIST_KEY_CFBundleDisplayName = "追爱小键盘";
				IPHONEOS_DEPLOYMENT_TARGET = 13.0;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.qihuan.zhuiaijianpan;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SUPPORTED_PLATFORMS = "iphoneos iphonesimulator";
				SUPPORTS_MACCATALYST = NO;
				SUPPORTS_XR_DESIGNED_FOR_IPHONE_IPAD = NO;
				SWIFT_OBJC_BRIDGING_HEADER = "Runner/Runner-Bridging-Header.h";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = 1;
				VERSIONING_SYSTEM = "apple-generic";
			};
			name = Profile;
		};
		331C8088294A63A400263BE5 /* Debug */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = 2C32B38FCDADA18A119DC5D4 /* Pods-RunnerTests.debug.xcconfig */;
			buildSettings = {
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				GENERATE_INFOPLIST_FILE = YES;
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = com.atmob.keyboard.RunnerTests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
				SWIFT_VERSION = 5.0;
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/Runner.app/$(BUNDLE_EXECUTABLE_FOLDER_PATH)/Runner";
			};
			name = Debug;
		};
		331C8089294A63A400263BE5 /* Release */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = 2643F46D415CBABCC40C425B /* Pods-RunnerTests.release.xcconfig */;
			buildSettings = {
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				GENERATE_INFOPLIST_FILE = YES;
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = com.atmob.keyboard.RunnerTests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/Runner.app/$(BUNDLE_EXECUTABLE_FOLDER_PATH)/Runner";
			};
			name = Release;
		};
		331C808A294A63A400263BE5 /* Profile */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = B29DC4E0B4ED0C83ABDE4C76 /* Pods-RunnerTests.profile.xcconfig */;
			buildSettings = {
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				GENERATE_INFOPLIST_FILE = YES;
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = com.atmob.keyboard.RunnerTests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/Runner.app/$(BUNDLE_EXECUTABLE_FOLDER_PATH)/Runner";
			};
			name = Profile;
		};
		97C147031CF9000F007C117D /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				ASSETCATALOG_COMPILER_GENERATE_SWIFT_ASSET_SYMBOL_EXTENSIONS = AppIcon;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++0x";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				"CODE_SIGN_IDENTITY[sdk=iphoneos*]" = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				ENABLE_USER_SCRIPT_SANDBOXING = NO;
				GCC_C_LANGUAGE_STANDARD = gnu99;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 13.0;
				MTL_ENABLE_DEBUG_INFO = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		97C147041CF9000F007C117D /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				ASSETCATALOG_COMPILER_GENERATE_SWIFT_ASSET_SYMBOL_EXTENSIONS = AppIcon;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++0x";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				"CODE_SIGN_IDENTITY[sdk=iphoneos*]" = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_USER_SCRIPT_SANDBOXING = NO;
				GCC_C_LANGUAGE_STANDARD = gnu99;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 13.0;
				MTL_ENABLE_DEBUG_INFO = NO;
				SDKROOT = iphoneos;
				SUPPORTED_PLATFORMS = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
				TARGETED_DEVICE_FAMILY = "1,2";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		97C147061CF9000F007C117D /* Debug */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = 9740EEB21CF90195004384FC /* Debug.xcconfig */;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CLANG_ENABLE_MODULES = YES;
				CODE_SIGN_ENTITLEMENTS = Runner/Runner.entitlements;
				CURRENT_PROJECT_VERSION = "$(FLUTTER_BUILD_NUMBER)";
				DEVELOPMENT_TEAM = ZX23DXLT68;
				ENABLE_BITCODE = NO;
				INFOPLIST_FILE = Runner/Info.plist;
				INFOPLIST_KEY_CFBundleDisplayName = "追爱小键盘";
				IPHONEOS_DEPLOYMENT_TARGET = 13.0;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.qihuan.zhuiaijianpan;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SUPPORTED_PLATFORMS = "iphoneos iphonesimulator";
				SUPPORTS_MACCATALYST = NO;
				SUPPORTS_XR_DESIGNED_FOR_IPHONE_IPAD = NO;
				SWIFT_OBJC_BRIDGING_HEADER = "Runner/Runner-Bridging-Header.h";
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = 1;
				VERSIONING_SYSTEM = "apple-generic";
			};
			name = Debug;
		};
		97C147071CF9000F007C117D /* Release */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = 7AFA3C8E1D35360C0083082E /* Release.xcconfig */;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CLANG_ENABLE_MODULES = YES;
				CODE_SIGN_ENTITLEMENTS = Runner/Runner.entitlements;
				CURRENT_PROJECT_VERSION = "$(FLUTTER_BUILD_NUMBER)";
				DEVELOPMENT_TEAM = ZX23DXLT68;
				ENABLE_BITCODE = NO;
				INFOPLIST_FILE = Runner/Info.plist;
				INFOPLIST_KEY_CFBundleDisplayName = "追爱小键盘";
				IPHONEOS_DEPLOYMENT_TARGET = 13.0;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.qihuan.zhuiaijianpan;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SUPPORTED_PLATFORMS = "iphoneos iphonesimulator";
				SUPPORTS_MACCATALYST = NO;
				SUPPORTS_XR_DESIGNED_FOR_IPHONE_IPAD = NO;
				SWIFT_OBJC_BRIDGING_HEADER = "Runner/Runner-Bridging-Header.h";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = 1;
				VERSIONING_SYSTEM = "apple-generic";
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		045828782DB897D400C1792D /* Build configuration list for PBXNativeTarget "AiKeyboard" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				045828792DB897D400C1792D /* Debug */,
				0458287A2DB897D400C1792D /* Release */,
				0458287B2DB897D400C1792D /* Profile */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		331C8087294A63A400263BE5 /* Build configuration list for PBXNativeTarget "RunnerTests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				331C8088294A63A400263BE5 /* Debug */,
				331C8089294A63A400263BE5 /* Release */,
				331C808A294A63A400263BE5 /* Profile */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		97C146E91CF9000F007C117D /* Build configuration list for PBXProject "Runner" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				97C147031CF9000F007C117D /* Debug */,
				97C147041CF9000F007C117D /* Release */,
				249021D3217E4FDB00AE95B9 /* Profile */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		97C147051CF9000F007C117D /* Build configuration list for PBXNativeTarget "Runner" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				97C147061CF9000F007C117D /* Debug */,
				97C147071CF9000F007C117D /* Release */,
				249021D4217E4FDB00AE95B9 /* Profile */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = 97C146E61CF9000F007C117D /* Project object */;
}
